Get an asset's public key
Get the public key information for a specific asset in a vault account. Endpoint Permission: Admin, Non-Signing Admin.
GET
/
vault
/
accounts
/
{vaultAccountId}
/
{assetId}
/
{change}
/
{addressIndex}
/
public_key_info
TypeScript
const response: Promise<FireblocksResponse<PublicKeyInformation>> = fireblocks.vaults.getPublicKeyInfoForAddress(vaultsApiGetPublicKeyInfoForAddressRequest);CompletableFuture<ApiResponse<PublicKeyInformation>> response = fireblocks.vaults().getPublicKeyInfoForAddress(vaultAccountId, assetId, change, addressIndex, compressed);response = fireblocks.vaults.get_public_key_info_for_address(vault_account_id, asset_id, change, address_index, compressed);curl --request GET \
--url https://api.fireblocks.io/v1/vault/accounts/{vaultAccountId}/{assetId}/{change}/{addressIndex}/public_key_infoconst options = {method: 'GET'};
fetch('https://api.fireblocks.io/v1/vault/accounts/{vaultAccountId}/{assetId}/{change}/{addressIndex}/public_key_info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"derivationPath": [
44,
0,
0,
0,
0
],
"publicKey": "1044c36403c1802818b472398f546a43a0d91569d5583a6e807c3825b155c7bd"
}{
"message": "<string>",
"code": 123
}Path Parameters
Query Parameters
Response
Public Key Information
Elliptic Curve
Available options:
MPC_ECDSA_SECP256K1, MPC_EDDSA_ED25519 BIP44 derivation path
Example:
[44, 0, 0, 0, 0]
Compressed/Uncompressed public key value in hex representation
Example:
"1044c36403c1802818b472398f546a43a0d91569d5583a6e807c3825b155c7bd"
Was this page helpful?
⌘I
TypeScript
const response: Promise<FireblocksResponse<PublicKeyInformation>> = fireblocks.vaults.getPublicKeyInfoForAddress(vaultsApiGetPublicKeyInfoForAddressRequest);CompletableFuture<ApiResponse<PublicKeyInformation>> response = fireblocks.vaults().getPublicKeyInfoForAddress(vaultAccountId, assetId, change, addressIndex, compressed);response = fireblocks.vaults.get_public_key_info_for_address(vault_account_id, asset_id, change, address_index, compressed);